public class GeneTest
{
public static void main (String args[])
{
Gene a=new Gene("1000101110110101000111",-1.0,2.0);
System.out.println("a:\n"+a.toString()+" \n"+a.toBitSetString()+" \n"+a.getXP());
Gene b=new Gene(0.6371971695893215,-1.0,2.0,22);
System.out.println("a:\n"+b.toString()+" \n"+b.toBitSetString()+" \n"+b.getXP());
Gene c=new Gene(0.0,-1.0,2.0,22);
System.out.println("a:\n"+c.toString()+" \n"+c.toBitSetString()+" \n"+c.getXP());
Gene d=new Gene(2.0,-1.0,2.0,22);
System.out.println("a:\n"+d.toString()+" \n"+d.toBitSetString()+" \n"+d.getXP());
Gene e=new Gene(c,d);
System.out.println("a:\n"+e.toString()+" \n"+e.toBitSetString()+" \n"+e.getXP());
Gene f=e.copyGene();
f.flip(19);
System.out.println("a:\n"+f.toString()+" \n"+f.toBitSetString()+" \n"+f.getXP());
}

}